### Class

# Phosh RunCommandManager

#### Description [src]

    final class Phosh.RunCommandManager : GObject.Object
    {
      /* No available fields */
    }

Handles the run-command-dialog

The interface is responsible to handle the non-ui parts of a `PhoshRunCommandDialog`.

#### Ancestors

- GObject

#### Constructors

###### phosh_run_command_manager_new

No description available.

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct PhoshRunCommandManagerClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.